iPod Touch 2G - 3.0 Compatible Applications?

Discussion in 'iPod touch' started by Tsukoi, Sep 16, 2009.

  1. Tsukoi

    Tsukoi New Member

    Joined:
    May 29, 2009
    Messages:
    268
    Likes Received:
    0
    Device:
    2G iPod touch
    *HELP* - iPod Touch 3.0/2.2.1 FirmWare Applications? D:

    Hey ^-^;

    It seems almost all of the App Store Applications require 3.0 Now.
    I was just curious if there's
    ANY Way of getting a 3.0 Compatible Application to work on the 2.2.1 FirmWare.

    I'm refraining from upgrading my Firmware to 3.0, Because if I do, I'll lose all my Saved Data on the Games I have, not to mention losing all my things on my iPod, and the fact that it'll take almost a day for me to download and upgrade the Firmware, as I'm running on very slow connections.

    If there's no way of getting 3.0 Applications to work on 2.2.1, is there any way to get an earlier version of an Application, for example say MySpace. - Is there a way of getting the "MySpace Mobile" Application Version for 2.2.1?

    Thanks.
  2. superrob

    superrob Member

    Joined:
    Dec 9, 2008
    Messages:
    580
    Likes Received:
    1
    Device:
    iPhone 4S (Black)
    You WONT lose your savedata! Trust me

    Please Register or Log in to view images

    If youre using "Not so legal apps" then remember to turn on iTunes sync. Sync your iPod Touch and then upgrade it using restore. After that use the "Setup as a backup of [your ipod touch name]".
    Then all your apps will be transfered right back to your iPod Touch along with your savegames (Well it did that for me

    Please Register or Log in to view images

    )
  3. Quadrant

    Quadrant New Member

    Joined:
    Jul 10, 2009
    Messages:
    196
    Likes Received:
    0
    Device:
    2G iPod touch
    Why did you mention illegal apps? He clearly specified that his problem was 3.0 app compatibility from the App Store. Stop trying to assume the worst about everything.

    On topic: You can jailbreak your iPod and fake your firmware version to 3.0.

    And yes, if you need a lower version of a *free* application, search around for the .ipa of that specific version.
  4. Tsukoi

    Tsukoi New Member

    Joined:
    May 29, 2009
    Messages:
    268
    Likes Received:
    0
    Device:
    2G iPod touch
    Thanks Superrob, but I do pay for my Apps.
    I appreciate the consideration anyway.

    Still, is there any way at all that one could get any of the 3.0 Applications without actually upgrading to 3.0? - If not, is there a way you can download earlier version of an Application?

    Thanks.

Share This Page